Skip to main content
GET
Retrieve a PaymentIntent

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-client-id
string
required

The API client id generated by UQPAY

Path Parameters

id
string
required

The unique ID of a payment intent.

Example:

"PI1925112193204883441"

Response

200 - application/json

Payment intent retrieved successfully

payment_intent_id
string
required

Unique identifier for the PaymentIntent

Maximum string length: 36
Example:

"b1c2d3e4-f5a6-b7c8-d9e0-f1a2b3c4d5e6"

amount
string
required

Payment amount. This is the order amount you would like to charge your customer.

Example:

"10.12"

currency
string
required

Three-letter currency code

Example:

"SGD"

intent_status
enum<string>
required

Status of this PaymentIntent.

Available options:
REQUIRES_PAYMENT_METHOD,
REQUIRES_CUSTOMER_ACTION,
REQUIRES_CAPTURE,
PENDING,
SUCCEEDED,
CANCELLED,
FAILED
description
string

Descriptor while creating a PaymentIntent.

Maximum string length: 255
available_payment_method_types
string[] | null

Available payment method types for this PaymentIntent.

captured_amount
string

Amount that captured from this PaymentIntent.

Example:

"10.12"

cancel_time
string<date/time>

Last time at which this PaymentIntent was cancelled. Only present when the PaymentIntent was successfully cancelled, i.e. status is CANCELLED.

Example:

"2024-03-01T00:00:00+08:00"

cancellation_reason
string

Reason for canceling this PaymentIntent.

Example:

"Order cancelled"

client_secret
string

PaymentIntent's client secret for browser or app. Returned by PaymentIntent create API or PaymentIntent retrieve API. The provided client_secret is valid for 60 minutes.

Example:

"eyJhbGciOiJI***********ujNdZ1DF9CqWEfF1jphxI"

merchant_order_id
string

The merchant reference id created in merchant's system that corresponds to this PaymentIntent

Maximum string length: 36
Example:

"1bf70d90-9ed0-48ce-9370-9bd7ef6ab9ee"

metadata
object

Any key-value object. Max length = 512 bytes. This must be valid JSON data.

Example:
next_action
object

If present, this property tells you what actions you need to take in order for your customer to fulfill a payment using the provided source.

return_url
string

The web page URL or application scheme URI to redirect the customer after payment authentication.

Example:

"https://127.0.0.1:8080/api/v1/callback"

create_time
string<date/time>

Time at which this PaymentIntent was created.

Example:

"2024-03-01T00:00:00+08:00"

complete_time
string<date/time>

Time at which this PaymentIntent reached its final state.

Example:

"2024-03-01T00:00:00+08:00"

update_time
string<date/time>

Last time at which this PaymentIntent was updated or operated on.

Example:

"2024-03-01T00:00:00+08:00"

latest_payment_attempt
object

Latest PaymentAttempt that was created under the PaymentIntent.